 /*  ==========================================================================
    // Form Component
    //
    // Groups labels and input fields
    //
    // .form-component--mini - mini
    // .form-component--large - large
    // .form-component--inline - inline
    // .form-component--error - error
    //
    // Markup: forms-component.html
    //
    // Style guide: Modules.Form Component
/*  ========================================================================== */

    .form-component
    {
        outline: none;
        position: relative;

        margin-bottom: $single-space;

        overflow: visible;

        input:focus
        {
            outline: none;
        }

        textarea,
        .custom-select
        {
            margin-bottom: 0;
        }
    }


    /* SIZES
    ========================================================================== */

    .form-component--mini
    {
        height: $input-mini-height;

        input[type="text"],
        input[type="number"],
        input[type="email"],
        input[type="password"],
        input[type="tel"]
        {
            &.input__field
            {
                height: $input-mini-height;
            }
        }

        .input__label-content
        {
            padding: $input-mini-padding;
            font-size: $input-mini-font-size;
            line-height: $input-mini-line-height;
        }
    }

    .form-component--large
    {
        height: $input-large-height;

        input[type="text"],
        input[type="number"],
        input[type="email"],
        input[type="password"],
        input[type="tel"]
        {
            &.input__field
            {
                height: $input-large-height;
            }

            &.input__unit
            {
                padding: $input-large-padding;
                padding-right: $r-gutter / 2;
                line-height: $input-large-line-height;
            }
        }

        .input__label-content
        {
            padding: $input-large-padding;
            font-size: $input-large-font-size;
            line-height: $input-large-line-height;
        }
    }


    /* ALIGNMENT
    ========================================================================== */

    .form-component--inline
    {
        @include inline-block;
        margin-bottom: $single-space;
        margin-right: -4px; // Inline Element Margin Hack

        .input__label-content
        {
            padding-right: 35px;
        }

        + .form-component--inline
        {
            margin-left: 4px;
        }
    }


    /* VALIDATION
    ========================================================================== */

    .form-component--error
    {
        .input__label::after
        {
            border-bottom: 4px solid $red;
            width: 100%;
        }
    }